/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

import request from '@/router/axios'

// 分页查询
export function reportPage(query) {
  return request({
    url: '/admin/wmreport/reportPage',
    method: 'get',
    params: query
  })
}

// 提交
export function updateReportStatus(obj) {
	return request({
		url: '/admin/wmreport/updateReportStatus',
		method: 'post',
		data: obj
	})
}

// 删除
export function delObj(id) {
	return request({
		url: '/admin/wmreport/' + id,
		method: 'delete',
	})
}

// 查看
export function getLookPage(query) {
    return request({
      url: '/admin/wmreport/getTaskListPage',
      method: 'get',
      params: query
    })
  }

// 导出报告
export function exportNbReport(query) {
    return request({
      url: '/admin/reportExport/exportNbReport',
      method: 'get',
      params: query
    })
}

export function exportExcelNbReport(query) {
    return request({
      url: '/admin/report/excel/export/exportNbReport',
      method: 'get',
      params: query
    })
}
